--- gpac-0.7.1/Makefile.orig	2017-07-25 09:34:51.910379115 -0600
+++ gpac-0.7.1/Makefile	2017-07-25 09:36:18.906385736 -0600
@@ -252,7 +252,9 @@
 	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/include/gpac/enst/*.h "$(DESTDIR)$(prefix)/include/gpac/enst"
 endif
 	mkdir -p "$(DESTDIR)$(prefix)/$(libdir)"
+ifeq ($(STATIC_LIBS),yes)
 	$(INSTALL) $(INSTFLAGS) -m 644 "./bin/gcc/libgpac_static.a" "$(DESTDIR)$(prefix)/$(libdir)"
+endif
 	$(MAKE) installdylib
 
 uninstall-lib:
--- gpac-0.7.1/src/Makefile.orig	2017-07-25 09:37:48.157392528 -0600
+++ gpac-0.7.1/src/Makefile	2017-07-25 09:39:06.092398459 -0600
@@ -267,16 +267,20 @@
 
 ifeq ($(CONFIG_DARWIN),yes)
 
+ifeq ($(STATICLIBS),yes)
 	$(LIBTOOL) -s -o ../bin/gcc/libgpac_static.a $(OBJS)
 	$(RANLIB) ../bin/gcc/libgpac_static.a
+endif
 ifneq ($(STATICBUILD),yes)
 	$(CC) $(SHFLAGS) $(LD_SONAME) -o $@ $(OBJS) $(EXTRALIBS)  $(LDFLAGS)
 endif
 
 else
 
+ifeq ($(STATICLIBS),yes)
 	$(AR) cr ../bin/gcc/libgpac_static.a $(OBJS)
 	$(RANLIB) ../bin/gcc/libgpac_static.a
+endif
 ifneq ($(STATICBUILD),yes)
 	$(CC) $(SHFLAGS) $(LD_SONAME) -o $@ $(OBJS) $(EXTRALIBS)	 $(LDFLAGS)
 	mv $@ $@.$(VERSION_SONAME)
--- gpac-0.7.1/configure.orig	2017-07-25 10:01:58.789502926 -0600
+++ gpac-0.7.1/configure	2017-07-25 10:02:54.110507136 -0600
@@ -109,6 +109,7 @@
 has_openjpeg="no"
 gprof_build="no"
 static_build="no"
+static_libs="no"
 want_pic="no"
 want_gcov="no"
 has_joystick="no"
@@ -260,6 +261,7 @@
   --enable-amr-wb          enable AMR WB library
   --enable-amr             enable both AMR NB and WB libraries
   --enable-static-bin      link statically against libgpac
+  --enable-static-lib      GPAC static libraries build
   --static-mp4box          configure for static linking of MP4Box only.
   --enable-depth           enables depth handling in the compositor
 
@@ -705,15 +707,6 @@
     CFLAGS="$CFLAGS -Wno-pointer-sign"
 fi
 
-
-#GCC opt
-if test "$no_gcc_opt" = "no"; then
-    CFLAGS="-O3 $CFLAGS"
-else
-    CFLAGS="-O0 $CFLAGS"
-fi
-
-
 #GCC PIC
 if test "$cross_prefix" != "" ; then
     want_pic="no"
@@ -1885,6 +1878,8 @@
             ;;
         --enable-static-bin) static_build="yes";
             ;;
+        --enable-static-lib) static_libs="yes";
+            ;;
         --disable-ipv6) has_ipv6="no"
             ;;
         --disable-wx) has_wx="no"
@@ -2559,6 +2554,7 @@
 echo "debug version: $debuginfo"
 echo "GProf enabled: $gprof_build"
 echo "Static build enabled: $static_build"
+echo "Static libs enabled: $static_libs"
 echo "Memory tracking enabled: $use_memory_tracking"
 echo "Fixed-Point Version: $use_fixed_point"
 echo "IPV6 Support: $has_ipv6"
@@ -3194,6 +3190,7 @@
 echo "GPROFBUILD=$gprof_build" >> config.mak
 echo "MP4BOX_STATIC=$static_mp4box" >> config.mak
 echo "STATICBUILD=$static_build" >> config.mak
+echo "STATICLIBS=$static_libs" >> config.mak
 
 echo "CONFIG_IPV6=$has_ipv6" >> config.mak
 if test "$has_ipv6" = "yes" ; then
